LASTLOG2(8)

BEZEICHNUNG
lastlog2 - Datum der letzten Anmeldung für einen bestimmten oder alle Benutzer anzeigen

ÜBERSICHT

lastlog2 [Optionen]

BESCHREIBUNG

lastlog2 zeigt den Inhalt der Datenbank der letzten Anmeldungen an. Der Anmeldename, die Anmeldezeit, tty und der ferne_Rechner werden ausgegeben. In der Standardeinstellung (ohne weitere Schalter) werden alle Anmeldeeinträge ausgegeben, sortiert nach der Reihenfolge, in der sie in die Datenbank geschrieben wurden.

Verglichen mit lastlog umgeht dieser Befehl das Jahr-2038-Problem. Er verwendet Sqlite3 zum Speichern der Informationen und keine Sparse-Datei.

OPTIONEN

-a, --active
    gibt die zuletzt aufgezeichneten Anmeldungen aus, außer für jene Benutzer, die niemals angemeldet waren.

-b, --before TAGE
    gibt nur Datensätze aus, die älter als die angegebenen TAGE sind.

-C, --clear
    löscht die letzte Anmeldungsaufzeichnung eines Benutzers. Diese Option kann nur zusammen mit der Option -u (--user) verwendet werden.

-d, *--database DATEI
    verwendet die angegebene DATEI als lastlog2-Datenbank.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-i, --import DATEI
    importiert Daten aus der alten Lastlog-DATEI. Vorhandene Einträge in der lastlog2-Datenbank werden dabei überschrieben.

-r, --rename NEUERNAME
    Diese Option kann nur zusammen mit -u (--user) verwendet werden.

-s, --service Zahl
    zeigt in der letzten Spalte den für die Anmeldung verwendeten PAM-Dienst an.

-S, --set
    setzt die letzte Anmeldungsaufzeichnung eines Benutzers auf die aktuelle Zeit. Diese Option kann nur zusammen mit -u (--user) verwendet werden.

-t, --time TAGE
    gibt nur die letzten Anmeldungsaufzeichnungen aus, die neuer sind als sie angegebene Anzahl TAGE.

-u, --users BENUTZER
    gibt nur die letzte Anmeldeaufzeichnung des angegebenen BENUTZERS aus.

-v, --version
    zeigt Versionsinformationen an und beendet das Programm.

Falls der Benutzer niemals angemeldet war, wird die Meldung Never logged in in der Zeile der letzten Anmeldezeit angezeigt.

Es werden nur Einträge für die aktuellen Benutzer des Systems angezeigt. Weitere Einträge könnten jedoch existieren, für Benutzer, die bereits gelöscht wurden.

DATEIEN

/var/lib/lastlog/lastlog2.db
    Lastlog2-Anmeldedatenbank-Datei

AUTOREN

lastlog2 wurde von Thorsten Kukuk für liblastlog2(3) geschrieben.

SIEHE AUCH

liblastlog2(3)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl lastlog2 ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.